# Uses of Class
nu.validator.saxtree.ParentNode

Packages that use ParentNode
Package
Description
nu.validator.saxtree
This package provides SAX Tree: a tree model optimized for creation from SAX events and replay as SAX events.

## Uses of ParentNode in nu.validator.saxtree

Subclasses of ParentNode in nu.validator.saxtree
Modifier and Type
Class
Description
`final class`
`CDATA`
A CDATA section.
`final class`
`Document`
A document.
`final class`
`DocumentFragment`
A document fragment.
`final class`
`DTD`
A doctype.
`final class`
`Element`
An element.
`final class`
`Entity`
An entity.
Methods in nu.validator.saxtree that return ParentNode
Modifier and Type
Method
Description
`final ParentNode`
Node.`getParentNode()`
Returns the parentNode.
`ParentNode`
TreeBuilder.`getRoot()`
Returns the root (`Document` if building a full document or `DocumentFragment` if building a fragment.).
Methods in nu.validator.saxtree with parameters of type ParentNode
Modifier and Type
Method
Description
`void`
ParentNode.`copyEndLocator(ParentNode another)`
Copies the endLocator from another node.